Imagick::previousImage
Imagick::quantizeImage
The Imagick class
PHP Manual

# Imagick::profileImage

(No version information available, might be only in CVS)

Imagick::profileImage — Adds or removes a profile from an image

### Description

bool Imagick::profileImage ( string `$name` , string `$profile` )
Warning

This function is currently not documented; only its argument list is available.

Adds or removes a ICC, IPTC, or generic profile from an image. If the profile is NULL, it is removed from the image otherwise added. Use a name of '*' and a profile of NULL to remove all profiles from the image.

### Parameters

`name`

`profile`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::previousImage
Imagick::quantizeImage
The Imagick class
PHP Manual